Lintian Reports

W shlib-with-executable-stack

All reports of shlib-with-executable-stack for the archive. The extended description of this tag is:

The listed shared library declares the stack as executable.

Executable stack is usually an error as it is only needed if the code contains GCC trampolines or similar constructs which uses code on the stack. One possible source for false positives are object files built from assembler files which don't define a proper .note.GNU-stack section.

To see the permissions on the stack, run readelf -l on the shared library and look for the program header of type GNU_STACK. In the flag column, there should not be an E flag set.

Severity: normal, Certainty: possible

Check: shared-libs, Type: binary, udeb

Evolution of the shlib-with-executable-stack Lintian tag over the past 366 days:

The beforementioned graph for the shlib-with-executable-stack tag

Emitted (non-overridden): 36, overridden: 76, total: 112

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

debian-installer-9-netboot-amd64 20170127 (binary) overridden

debian-installer-9-netboot-i386 20170127 (binary) overridden

lib32gcc1-sparc64-cross 1:7.1.0-5cross1 (binary)

libahven26 2.6-1.1 (binary) overridden

libalog0.5.2 0.5.2-2 (binary) overridden

libatlas3-base 3.10.3-1+b1 (binary)

libaws3.3.2 3.3.2-3 (binary) overridden

libaws3.3.2 3.3.2-2 (binary) overridden

libdbusada0.3.3 0.3.3-1 (binary) overridden

libffcall1 1.10+cvs20100619-4 (binary)

libffi6 3.3~20160224-1 (binary)

libffi6-udeb 3.3~20160224-1 (udeb)

libgmpada4 1.0-3 (binary) overridden

libgnatcoll-readline1.7 1.7gpl2015-2+b3 (binary) overridden

libgnatcoll-readline1.7 16.1.0-1 (binary) overridden

libgnatcoll1.7 1.7gpl2015-2+b3 (binary) overridden

libgnatcoll16.1.0 16.1.0-1 (binary) overridden

libgnatprj5 5.4.1-11 (binary)

libgnatprj5-alpha-cross 5.4.1-8cross1 (binary)

libgnatprj5-arm64-cross 5.4.1-8cross1 (binary)

libgnatprj5-armel-cross 5.4.1-8cross1 (binary)

libgnatprj5-armhf-cross 5.4.1-8cross1 (binary)

libgnatprj5-m68k-cross 5.4.1-8cross1 (binary)

libgnatprj5-powerpc-cross 5.4.1-8cross1 (binary)

libgnatprj5-ppc64el-cross 5.4.1-8cross1 (binary)

libgnatprj5-s390x-cross 5.4.1-8cross1 (binary)

libgnatprj5-sh4-cross 5.4.1-8cross1 (binary)

libgnatprj5-sparc64-cross 5.4.1-8cross1 (binary)

libgnatprj6 6.3.0-18 (binary)

libgnatprj6-alpha-cross 6.3.0-18cross1 (binary)

libgnatprj6-arm64-cross 6.3.0-18cross1 (binary)

libgnatprj6-armel-cross 6.3.0-18cross1 (binary)

libgnatprj6-armhf-cross 6.3.0-18cross1 (binary)

libgnatprj6-powerpc-cross 6.3.0-18cross1 (binary)

libgnatprj6-ppc64el-cross 6.3.0-18cross1 (binary)

libgnatprj6-s390x-cross 6.3.0-18cross1 (binary)

libgnatprj6-sh4-cross 6.3.0-18cross1 (binary)

libgnatprj6-sparc64-cross 6.3.0-18cross1 (binary)

libgpr16.1.2016 2016-3 (binary) overridden

libgtkada16.1.0 16.1.0-1 (binary) overridden

libgtkada3.8.3 3.8.3-1+b3 (binary) overridden

libnvidia-legacy-304xx-compiler 304.135-2 (binary) overridden

libnvidia-legacy-304xx-cuda1 304.135-2 (binary) overridden

libnvidia-legacy-340xx-compiler 340.102-1 (binary) overridden

libnvidia-legacy-340xx-cuda1 340.102-1 (binary) overridden

libobjc4-alpha-cross 6.3.0-18cross1 (binary)

libpcscada0.7.3 0.7.3-1 (binary) overridden

libpolyorb4 2.11~20140418-3.2+b1 (binary)

libtemplates-parser11.10.1 11.10-4 (binary) overridden

libtemplates-parser11.10.1 11.10-5 (binary) overridden

libtexttools7 2.1.0-8 (binary) overridden

likwid 4.2.0-2 (binary)

nvidia-legacy-304xx-opencl-icd 304.135-2 (binary) overridden

nvidia-legacy-340xx-opencl-icd 340.102-1 (binary) overridden

syslinux-common 3:6.03+dfsg-14.1 (binary) overridden